Bug 128083 - Problems with amd74xx module with new kernel versions
Problems with amd74xx module with new kernel versions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-17 04:37 EDT by Ed
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:46:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed 2004-07-17 04:37:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040617

Description of problem:
My system is an Athlon 700 with 320MB RAM, on a Jabil Kadoka
motherboard (AMD 751 Irongate chipset), with 2 hard drives.

I've been having a couple of issues with the amd74xx module when
installing the new kernel. Whenever I attempt to install kernel
version 2.6.6-1.435.2.3 (also happens with 2.6.6-1.435.2.1), via rpm
or after compiling it from the source using the appropriate pre-made
config file (kernel-2.6.6-i686.config), mkinitrd fails with this message:

No module amd74xx found for kernel 2.6.6-1.435.2.3, aborting.

mkinitrd is correct in that the amd74xx module doesn't exist....
because by default it's compiled into the kernel as opposed to being
compiled as a seperate module. If I recompile the kernel, compiling
amd74xx as a module instead, mkinitrd doesn't complain, and finishes
its job. I should note that version 2.6.6-1.435 of the kernel (the
version I used before *.2.3 and *.2.1) did not have this problem.

Another problem I've been having (though I'm not certain what impact,
if any, it's having on my system) is this message everytime I boot
with the new kernel, after using the above workaround of course. It
appears shortly before rhgb takes control:

AMD7409: port 0x01f0 already claimed by ide0
AMD7409: port 0x0170 already claimed by ide1

to add a bit of context from the kernel's log file:

AMD7409: IDE controller at PCI slot 0000:00:07.1
AMD7409: chipset revision 3
AMD7409: not 100% native mode: will probe irqs later
AMD7409: 0000:00:07.1 (rev 03) UDMA66 controller
AMD7409: port 0x01f0 already claimed by ide0
AMD7409: port 0x0170 already claimed by ide1
AMD7409: neither IDE port enabled (BIOS)

Again, this message doesn't show up when I boot version 2.6.6-1.435 of
the kernel. Apparently, some things have changed in this module to
cause it to misbehave on my system.

Version-Release number of selected component (if applicable):
2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1.install the pre-compiled kernel, or compile kernel with default
config file and run mkinitrd
2.wait for mkinitrd to complain about missing amd74xx module

    

Additional info:
Comment 1 Dave Jones 2005-04-16 00:46:25 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.